> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Email by URL

> Returns the public contact email(s) for a YouTube channel, given its channel URL (e.g. https://www.youtube.com/@handle).



## OpenAPI

````yaml /openapi/youtube.openapi.json post /v1/data/youtube/channel/email
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/channel/email:
    post:
      tags:
        - Channel
      summary: Get Channel Email by URL
      description: >-
        Returns the public contact email(s) for a YouTube channel, given its
        channel URL (e.g. https://www.youtube.com/@handle).
      operationId: Get_Channel_Email_By_URL
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url
              properties:
                url:
                  type: string
                  description: >-
                    Full YouTube channel URL (e.g.
                    https://www.youtube.com/@theAIsearch).
            example:
              url: https://www.youtube.com/@theAIsearch
      responses:
        '200':
          description: Array of emails will be returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_youtube_channel_email_Response'
              example:
                code: 200
                data:
                  email:
                    - aisearchio@gmail.com
                  status: succ
                message: Success
        '400':
          description: Bad request
        '401':
          description: Unauthorized - invalid API key
        '429':
          description: Rate limit exceeded
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_youtube_channel_email_Response:
      type: object
      properties:
        code:
          type: integer
        data:
          type: object
          properties:
            email:
              type: array
              items:
                type: string
            status:
              type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````